[PC-BSD Commits] r14074 - pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Wed Nov 30 07:03:39 PST 2011
Author: kris
Date: 2011-11-30 07:03:39 -0800 (Wed, 30 Nov 2011)
New Revision: 14074
Modified:
pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh
Log:
Fix a bug starting the portjail with the "rc" flag enabled
Modified: pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh
===================================================================
--- pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh 2011-11-30 10:14:14 UTC (rev 14073)
+++ pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh 2011-11-30 15:03:39 UTC (rev 14074)
@@ -90,7 +90,7 @@
checkinitneeded() {
if [ "$1" = "rc" ]; then
checkjailinstalled || echo "Error: The jail is not installed. Please run 'portjail init' as root."
- exit 0
+ checkjailinstalled || exit 0
else
checkjailinstalled || printerror "Error: The jail is not installed. Please run 'portjail init' as root."
fi
More information about the Commits
mailing list